> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List firewalls

> List firewalls



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /firewalls
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /firewalls:
    get:
      tags:
        - Firewalls
      summary: List firewalls
      description: List firewalls
      operationId: list-firewalls
      parameters:
        - name: filter[project]
          in: query
          required: false
          schema:
            type: string
          examples:
            Success:
              value: intelligent-marble-lamp
        - name: page[size]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 20
          required: false
          description: Number of items to return per page
        - name: page[number]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 1
          required: false
          description: Page number to return (starts at 1)
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: fw_VaNmodjeObE8W
                        type: firewalls
                        attributes:
                          name: Carroll-Purdy
                          project:
                            id: proj_2695BdKrOevVo
                            name: Intelligent Marble Lamp
                            slug: intelligent-marble-lamp
                          rules:
                            - from: 150.186.180.30
                              to: 115.157.70.5
                              port: '80'
                              protocol: TCP
                              default: false
              schema:
                $ref: '#/components/schemas/firewalls'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.firewalls.list(filter_project="intelligent-marble-lamp", page_size=20, page_number=1)

                while res is not None:
                    # Handle items

                    res = res.next()
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Firewalls.List(ctx, latitudeshgosdk.Pointer(\"intelligent-marble-lamp\"), latitudeshgosdk.Pointer[int64](20), latitudeshgosdk.Pointer[int64](1))\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Firewalls != nil {\n        for {\n            // handle items\n\n            res, err = res.Next()\n\n            if err != nil {\n                // handle error\n            }\n\n            if res == nil {\n                break\n            }\n        }\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.firewalls.list({
                filterProject: "intelligent-marble-lamp",
              });

              for await (const page of result) {
                console.log(page);
              }
            }

            run();
components:
  schemas:
    firewalls:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/firewall_data'
        meta:
          type: object
    firewall_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - firewalls
        attributes:
          type: object
          properties:
            name:
              type: string
            rules:
              type: array
              items:
                type: object
                properties:
                  from:
                    type: string
                    description: >-
                      Source IP address, IP range in CIDR notation, or 'ANY'
                      (e.g., "192.168.1.1", "192.168.1.0/24", "ANY")
                  to:
                    type: string
                    description: >-
                      Destination IP address, IP range in CIDR notation, or
                      'ANY' (e.g., "192.168.1.1", "192.168.1.0/24", "ANY")
                  port:
                    type: string
                  protocol:
                    type: string
                  description:
                    type: string
                    nullable: true
                    description: Optional description explaining the purpose of this rule
            project:
              type: object
              properties:
                id:
                  type: string
                name:
                  type: string
                slug:
                  type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````